#
# spec file for package iptables (Version 1.2.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  kernel-source
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd kernel-source less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         iptables
Copyright:    GPL
Group:        Applications/Networking
Autoreqprov:  on
Version:      1.2.2
Release:      99
Summary:      IP Packet Filter Administration
Source:       http://netfilter.kernelnotes.org/iptables-%{version}.tar.bz2
#Patch:        iptables-%{version}.dif
Patch1:		iptables-%{version}.debian.diff.bz2
Patch2:		iptables-%{version}-iptstring.diff
URL:          http://netfilter.kernelnotes.org/
BuildRoot:    /var/tmp/%{name}-build

%description
Iptables is used to set up, maintain, and inspect the
tables of IP packet filter rules in the Linux kernel.
This version requires kernel 2.4.0 or newer.

Authors:
--------
    Netfilter Core Team <netfilter-core@linuxcare.com.au>

SuSE series: sec

%package devel
Summary:      libipq libraries, headers and development man pages
Group:		Development/System
Autoreqprov:	on

%description devel
These libraries are needed to compile programs against libipq.

Authors:
--------
    Netfilter Core Team <netfilter-core@linuxcare.com.au>

SuSE series: sec

%prep
%setup 
#patch 
%patch1 -p1
%patch2 -p1

%build
#export KERNEL_DIR=/usr/src/linux2.4
make BINDIR=%{_prefix}/sbin LIBDIR=%{_libdir} MANDIR=%{_mandir} COMPILE_EXPERIMENTAL=1

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make BINDIR=$RPM_BUILD_ROOT%{_prefix}/sbin \
     LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
     INCDIR=$RPM_BUILD_ROOT%{_prefix}/include \
     MANDIR=$RPM_BUILD_ROOT%{_mandir} install install-devel COMPILE_EXPERIMENTAL=1

%clean
test ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc COPYING KNOWN_BUGS
%{_prefix}/sbin/iptables*
%{_prefix}/sbin/ip6tables*
%{_libdir}/iptables
%doc %{_mandir}/man8/*
%doc doc/*.html

%files devel
%doc %{_mandir}/man3/*
%{_libdir}/*.a
%{_prefix}/include/*

%changelog -n iptables
* Sat Sep 22 2001 - garloff@suse.de
- Fix ipt_string support (compile fix).
* Tue Jul 17 2001 - garloff@suse.de
- Update to iptables-1.2.2
- Appply debian patch: mostly docu stuff
- Added COMPILE_EXPERIMENTAL flag to Makefile and pass it from RPM
  .spec file to compile and install ip(6)tables-save/restore apps.
* Fri Apr 06 2001 - kukuk@suse.de
- changed neededforbuild from lx_suse to kernel-source
* Tue Mar 27 2001 - lmuelle@suse.de
- update to 1.2.1a
- add devel package with libipq stuff
- minor spec file cleanup
* Sun Jan 28 2001 - olh@suse.de
- update to 1.2, needed for ppc and sparc
* Tue Dec 19 2000 - nadvornik@suse.cz
- compiled with lx_suse
* Tue Oct 17 2000 - nadvornik@suse.cz
- update to 1.1.2
* Fri Sep 22 2000 - ro@suse.de
- up to 1.1.1
* Fri Jun 09 2000 - ro@suse.de
- fixed neededforbuild
* Wed Jun 07 2000 - nadvornik@suse.cz
- new package 1.1.0
